ListTagsForResource
The ListTagsForResource operation returns the tags that are associated
with the Amazon Managed Service for Grafana resource specified by the
resourceArn. Currently, the only resource that can be tagged is a
workspace.
Request Syntax
GET /tags/resourceArn HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- resourceArn
-
The ARN of the resource the list of tags are associated with.
Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"tags": {
"string" : "string"
}
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
-
The list of tags that are associated with the resource.
Type: String to string map
Map Entries: Minimum number of 0 items. Maximum number of 50 items.
Key Length Constraints: Minimum length of 1. Maximum length of 128.
Value Length Constraints: Minimum length of 0. Maximum length of 256.
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient permissions to perform this action.
HTTP Status Code: 403
- InternalServerException
-
Unexpected error while processing the request. Retry the request.
- message
-
A description of the error.
- retryAfterSeconds
-
How long to wait before you retry this operation.
HTTP Status Code: 500
- ResourceNotFoundException
-
The request references a resource that does not exist.
- message
-
The value of a parameter in the request caused an error.
- resourceId
-
The ID of the resource that is associated with the error.
- resourceType
-
The type of the resource that is associated with the error.
HTTP Status Code: 404
- ThrottlingException
-
The request was denied because of request throttling. Retry the request.
- message
-
A description of the error.
- quotaCode
-
The ID of the service quota that was exceeded.
- retryAfterSeconds
-
The value of a parameter in the request caused an error.
- serviceCode
-
The ID of the service that is associated with the error.
HTTP Status Code: 429
- ValidationException
-
The value of a parameter in the request caused an error.
- fieldList
-
A list of fields that might be associated with the error.
- message
-
A description of the error.
- reason
-
The reason that the operation failed.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: